Commit 5708b998 authored by Zéfling's avatar Zéfling 🎨
Browse files

npx ng update @angular/cli@12 --force

parent f2b3e8bc
......@@ -17,7 +17,6 @@
"build": {
"builder": "@angular-devkit/build-angular:browser",
"options": {
"aot": true,
"outputPath": "dist/json2html-demo",
"index": "src/index.html",
"main": "src/main.ts",
......@@ -30,7 +29,13 @@
"styles": [
"src/styles.scss"
],
"scripts": []
"scripts": [],
"vendorChunk": true,
"extractLicenses": false,
"buildOptimizer": false,
"sourceMap": true,
"optimization": false,
"namedChunks": true
},
"configurations": {
"production": {
......@@ -44,7 +49,6 @@
"outputHashing": "all",
"sourceMap": false,
"namedChunks": false,
"aot": true,
"extractLicenses": true,
"vendorChunk": false,
"buildOptimizer": true,
......@@ -60,7 +64,8 @@
}
]
}
}
},
"defaultConfiguration": ""
},
"serve": {
"builder": "@angular-devkit/build-angular:dev-server",
......
This diff is collapsed.
......@@ -13,29 +13,29 @@
"test": "ng test",
"lint": "ng lint",
"e2e": "ng e2e",
"build:lib": "ng build json2html --prod && cp *.md dist/json2html",
"build:demo": "ng build --prod"
"build:lib": "ng build json2html --configuration production && cp *.md dist/json2html",
"build:demo": "ng build --configuration production"
},
"private": true,
"dependencies": {
"@angular/animations": "~11.2.14",
"@angular/common": "~11.2.14",
"@angular/compiler": "~11.2.14",
"@angular/core": "~11.2.14",
"@angular/forms": "~11.2.14",
"@angular/platform-browser": "~11.2.14",
"@angular/platform-browser-dynamic": "~11.2.14",
"@angular/router": "~11.2.14",
"@angular/animations": "~12.2.16",
"@angular/common": "~12.2.16",
"@angular/compiler": "~12.2.16",
"@angular/core": "~12.2.16",
"@angular/forms": "~12.2.16",
"@angular/platform-browser": "~12.2.16",
"@angular/platform-browser-dynamic": "~12.2.16",
"@angular/router": "~12.2.16",
"core-js": "^2.5.4",
"rxjs": "~6.6.2",
"tslib": "^2.0.0",
"zone.js": "~0.10.2"
"zone.js": "~0.11.4"
},
"devDependencies": {
"@angular-devkit/build-angular": "~0.1102.18",
"@angular/cli": "^11.2.18",
"@angular/compiler-cli": "~11.2.14",
"@angular/language-service": "~11.2.14",
"@angular-devkit/build-angular": "~12.2.16",
"@angular/cli": "^12.2.16",
"@angular/compiler-cli": "~12.2.16",
"@angular/language-service": "~12.2.16",
"@types/jasmine": "~3.6.0",
"@types/jasminewd2": "~2.0.3",
"@types/node": "^12.11.1",
......@@ -47,11 +47,11 @@
"karma-coverage-istanbul-reporter": "~3.0.2",
"karma-jasmine": "~4.0.0",
"karma-jasmine-html-reporter": "^1.5.0",
"ng-packagr": "^11.2.4",
"ng-packagr": "^12.2.7",
"protractor": "~7.0.0",
"ts-node": "~7.0.0",
"tslint": "~6.1.0",
"typescript": "~4.1.6"
"typescript": "~4.3.5"
},
"keywords": [
"typescript",
......
// This file is required by karma.conf.js and loads recursively all the .spec and framework files
import 'core-js/es7/reflect';
import 'zone.js/dist/zone';
import 'zone.js/dist/zone-testing';
import 'zone.js';
import 'zone.js/testing';
import { getTestBed } from '@angular/core/testing';
import {
BrowserDynamicTestingModule,
......
......@@ -9,7 +9,6 @@
"declaration": true,
"sourceMap": true,
"inlineSources": true,
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
"importHelpers": true,
"types": [],
......
......@@ -13,4 +13,4 @@ export const environment = {
* This import should be commented out in production mode because it will have a negative impact
* on performance if an error is thrown.
*/
// import 'zone.js/dist/zone-error'; // Included with Angular CLI.
// import 'zone.js/plugins/zone-error'; // Included with Angular CLI.
......@@ -55,7 +55,7 @@
/***************************************************************************************************
* Zone JS is required by default for Angular itself.
*/
import 'zone.js/dist/zone'; // Included with Angular CLI.
import 'zone.js'; // Included with Angular CLI.
/***************************************************************************************************
......
// This file is required by karma.conf.js and loads recursively all the .spec and framework files
import 'zone.js/dist/zone-testing';
import 'zone.js/testing';
import { getTestBed } from '@angular/core/testing';
import {
BrowserDynamicTestingModule,
......
......@@ -9,7 +9,6 @@
"declaration": false,
"module": "es2020",
"moduleResolution": "node",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
"target": "es2015",
"typeRoots": [
......
  • The installed Angular CLI version is outdated.
    Installing a temporary Angular CLI versioned 12.2.16 to perform the update.
    Installing packages for tooling via npm.
    Installed packages for tooling via npm.
    Using package manager: 'npm'
    Collecting installed dependencies...
    Found 32 dependencies.
    Fetching dependency metadata from registry...
        Updating package.json with dependency @angular-devkit/build-angular @ "12.2.16" (was "0.1102.18")...
        Updating package.json with dependency @angular/cli @ "12.2.16" (was "11.2.18")...
        Updating package.json with dependency @angular/compiler-cli @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/language-service @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency ng-packagr @ "12.2.7" (was "11.2.4")...
        Updating package.json with dependency typescript @ "4.3.5" (was "4.1.6")...
        Updating package.json with dependency @angular/animations @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/common @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/compiler @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/core @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/forms @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/platform-browser @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/platform-browser-dynamic @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency @angular/router @ "12.2.16" (was "11.2.14")...
        Updating package.json with dependency zone.js @ "0.11.4" (was "0.10.3")...
      UPDATE package.json (1687 bytes)
    ✔ Packages successfully installed.
    ** Executing migrations of package '@angular/cli' **
    
    ▸ Remove deprecated options from 'angular.json' that are no longer present in v12.
      UPDATE angular.json (5530 bytes)
      Migration completed.
    
    ▸ Update 'zone.js' to version 0.11.x.
      Read more about this here: https://github.com/angular/angular/blob/master/packages/zone.js/CHANGELOG.md#breaking-changes-since-zonejs-v0111
      UPDATE projects/json2html/src/test.ts (680 bytes)
      UPDATE src/polyfills.ts (2825 bytes)
      UPDATE src/test.ts (632 bytes)
      UPDATE src/environments/environment.ts (665 bytes)
      Migration completed.
    
    ▸ Remove 'emitDecoratorMetadata' TypeScript compiler option.
      Decorator metadata is no longer needed by Angular.
      Read more about this here: https://www.typescriptlang.org/docs/handbook/decorators.html#metadata
      UPDATE tsconfig.base.json (569 bytes)
      UPDATE projects/json2html/tsconfig.lib.json (684 bytes)
      Migration completed.
    
    ▸ Lazy loading syntax migration.
      Update lazy loading string syntax to use dynamic imports.
      Migration completed.
    
    ▸ Remove deprecated ViewEngine-based i18n build and extract options.
      Options present in the configuration will be converted to use non-deprecated options.
      Migration completed.
    
    ▸ Updates Web Worker consumer usage to use the new syntax supported directly by Webpack 5.
      Migration completed.
    
    ▸ Remove invalid 'skipTests' option in '@schematics/angular:module' Angular schematic options.
      Migration completed.
    
    ▸ Replace the deprecated '--prod' in package.json scripts.
      UPDATE package.json (1728 bytes)
      Migration completed.
    
    ** Executing migrations of package '@angular/core' **
    
    ▸ In Angular version 12, the type of ActivatedRouteSnapshot.fragment is nullable.
      This migration automatically adds non-null assertions to it.
      Migration completed.
    
    ▸ `XhrFactory` has been moved from `@angular/common/http` to `@angular/common`.
      Migration completed.
    
    ▸ Automatically migrates shadow-piercing selector from `/deep/` to the recommended alternative `::ng-deep`.
      Migration completed.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment